Bug 230142 - Review Request: SBLIM megapackage
Review Request: SBLIM megapackage
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-26 15:41 EST by Mark Hamzy
Modified: 2008-08-06 14:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-06 14:56:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Mark Hamzy 2007-02-26 15:41:22 EST
Spec URL: http://sblim.sourceforge.net/fedora-rpms/sblim.spec
SRPM URL: http://sblim.sourceforge.net/fedora-rpms/sblim-1-12.fc6.src.rpm

SBLIM is currently in Fedora extras as four packages:
   sblim-cmpi-base
   sblim-cmpi-devel
   sblim-testsuite
   sblim-wbemcli

I am proposing removing those four and creating just one sblim pacakge.  This package will then build all of the subcomponents within it.  Currently, it builds:
   sblim-cmpi-base
   sblim-cmpi-devel
   sblim-wbemcli
   sblim-gather
   sblim-testsuite
   sblim-cmpi-network
   sblim-cmpi-params
   sblim-cmpi-sysfs
   sblim-cmpi-syslog
   sblim-cmpi-fsvol
   sblim-cmpi-nfsv3
   sblim-cmpi-nfsv4

A short description is:

SBLIM stands for Standards Based Linux Instrumentation for Manageability,
and consists of a set of standards based Web Based Enterprise Management
(WBEM) modules that use the Common Information Model (CIM) standard to
gather and provide systems management information, events, and methods
to local or networked consumers via an CIM object services broker using
the CMPI (Common Manageability Programming Interface) standard.
This package provides a set of core providers and development tools
for systems management applications.
Comment 1 Mark Hamzy 2007-03-05 11:59:40 EST
Does anyone have any spare cycles to look at this?  This new package is a
combination of the four existing packages and adding some new ones based on the
templates of the four already approved packages.
Comment 2 manuel wolfshant 2007-03-05 14:07:40 EST
Just a few comments from a beginner
- all SourceN should be full URL; according to
http://fedoraproject.org/wiki/Packaging/SourceURL , one should use smtg similar
to Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
- Could you please explain why %dist provided by the build system is not
satisfactory and you rely on a specific custom macro (%{?!LINUX_DISTRIBUTION:
%define LINUX_DISTRIBUTION fc6}) ?
- perl is on the exception list, so it does not need to be listed as BR; OTOH
depending on the requirements of the packaged software and on the avenue taken
by the on-going discussions which take place these days, perl-devel MIGHT need
to be needed. See
https://www.redhat.com/archives/fedora-packaging/2007-February/msg00025.html for
some details.


And last but not least, mock build fails. The build log ends with:
Binary file
/var/tmp/sblim-1-12.fc6-root-mockbuild/usr/lib64/cmpi/libLinux_NFSv3SettingContext.so
matches
Binary file
/var/tmp/sblim-1-12.fc6-root-mockbuild/usr/lib64/cmpi/libcmpiOSBase_BootOSFromFSProvider.so
mat
ches
Binary file
/var/tmp/sblim-1-12.fc6-root-mockbuild/usr/lib64/cmpi/libSyslog_ServiceProcess.so
matches
Binary file
/var/tmp/sblim-1-12.fc6-root-mockbuild/usr/lib64/cmpi/libSyslog_LogRecord.so matches
Found '/var/tmp/sblim-1-12.fc6-root-mockbuild' in installed files; aborting
error: Bad exit status from /var/tmp/rpm-tmp.44358 (%install)

- your approach of including 11 different programs in a single megapackage leads
to the situation that, if any of the 11 needs rebuilding, the only solution is
to rebuild ALL of them. Even if the version and releases for the non-modified 10
other are preserved, they will still be built (even if they will not be pushed
after that)
- The actual install is done in a global %build. This kind of violates the
current practices.

I for one am in favor of keeping the packages separated, with clean and clear
(read: %make / %install) specs for each one of them. If needed, a meta-package
could also be created so that yum install sblim would pull in all the stuff.
Since they are similar, 4 of them have already been approved and provide rather
important stuff, I am confident that the reviews would not have problems.
Comment 3 manuel wolfshant 2007-03-05 14:16:00 EST
Oh well, working in too many windows + copy/paste from a text console is evil.
Please bear with the "need to be needed" which should be read "need to be added"
and with the wrong order of paragraphs. The "last but not least" should have
been the last paragraph.
Comment 4 Jason Tibbitts 2007-06-28 22:59:40 EDT
Hmm, no further updates after that review commentary.  But I have to ask, why on
Earth would you want to combine that many separate upstream packages into one
srpm that builds a pile of separate binary packages?  It makes no sense.  Every
time one of the component packages is revised you have to ship all new releases
of everything.

Really, please don't try to do things like this.  You need 11 separate packages
here.  And if you do make 11 separate packages, please elide all of the "echo
***" stuff and do your "make install" in %install and such.
Comment 5 Matt Domsch 2008-08-06 14:56:03 EDT
Mark is no longer working on this.  Last review comment indicated it was a bad idea to merge these.  Closing.

Note You need to log in before you can comment on or make changes to this bug.